Package com.sas.services.information.metadata

# Class OMRGridApplication

java.lang.Object
java.rmi.server.RemoteObject
java.rmi.server.RemoteServer
java.rmi.server.UnicastRemoteObject
com.sas.services.information.metadata.Metadata
com.sas.services.information.metadata.OMRGridApplication

All Implemented Interfaces:
  `GridApplicationInterface`, `MetadataInterface`, `PublicObjectInterface`, `Serializable`, `Remote`

public class OMRGridApplication extends Metadata implements GridApplicationInterface

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final com.sas.util.UsageVersion`
  `CURRENT_VERSION`
  `static final String`
  `GRIDAPP_GRID_OPTIONS_PROPERTY_NAME`
  `static final String`
  `GRIDAPP_REQUIRED_RESOURCES_PROPERTY_NAME`
  `static final String`
  `GRIDAPP_SAS_OPTIONS_PROPERTY_NAME`
  `static final String`
  `GRIDAPP_USER_MAPPING_NAME`
  `static final String`
  `GRIDGOSPUBLICTYPE`
  `static final com.sas.util.UsageVersion`
  `OLDEST_VERSION`

  ### Fields inherited from class com.sas.services.information.metadata.Metadata

  `_actionInterfaces, _children, _isCompatible, _isDestroyPending, _isReadCompatible, _myRefreshInterval, _myState, _omrCreateDate, _omrModifyDate, _repository, _repositoryFlag, _repositoryObject, _treeRefreshTime, formats, gmtZone, OMSOBJ_STRING, REPOSITORY_DAV, REPOSITORY_LOMR, REPOSITORY_NONE, REPOSITORY_OMR, SLASH`

  ### Fields inherited from class java.rmi.server.RemoteObject

  `ref`

  ### Fields inherited from interface com.sas.services.information.metadata.GridApplicationInterface

  `GOS_FOLDER, GRIDMGR_FOLDER, GRIDSERVER, IDENTITYTYPE, PROPERTYSET, SHAREDDATA_FOLDER`

  ### Fields inherited from interface com.sas.services.information.metadata.MetadataInterface

  `METADATA_STATE_DELETED, METADATA_STATE_DESTROYED, METADATA_STATE_NEW, METADATA_STATE_NORMAL, PERMISSION_READMETADATA, PERMISSION_WRITEMETADATA`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  ``
  `OMRGridApplication()`
  ``
  `OMRGridApplication(com.sas.metadata.remote.impl.TransformationImpl o)`
  ``
  `OMRGridApplication(com.sas.metadata.remote.impl.TransformationImpl_Stub o)`
  `protected`
  `OMRGridApplication(com.sas.metadata.remote.impl.TransformationImpl_Stub o, Class theClass)`
  `protected`
  `OMRGridApplication(com.sas.metadata.remote.impl.TransformationImpl o, Class theClass)`
  ``
  `OMRGridApplication(com.sas.metadata.remote.Transformation o)`
  `protected`
  `OMRGridApplication(com.sas.metadata.remote.Transformation o, Class theClass)`
  ``
  `OMRGridApplication(RepositoryInterface repos, String name, FolderInterface parent)`
  `protected`
  `OMRGridApplication(RepositoryInterface repos, String name, FolderInterface parent, Class theClass)`
  `protected`
  `OMRGridApplication(Class theClass)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<HashMap<String,String>>`
  `getGOSRelatedObjects()`
  `List<com.sas.metadata.remote.ServerComponent>`
  `getGOSRelatedServers()`
  `List<String>`
  `getGridOptions()`
  `String`
  `getName()`
  Gets the name of the object.
  `List<String>`
  `getRequiredResources()`
  `List<String>`
  `getSASOptions()`
  `String`
  `getType()`
  TODO: This needs to be updated to use a constant from SmartTypes.
  `List<String>`
  `getUserMappings()`
  `void`
  `setGridOptions(List<String> gridOptions)`
  `void`
  `setRequiredResources(List<String> resources)`
  `void`
  `setSASOptions(List<String> SASOptions)`
  `void`
  `setUserMappings(List<String> users)`
  `void`
  `validateGridOptionsSet()`

  ### Methods inherited from class com.sas.services.information.metadata.Metadata

  `add, addAccessControl, addAttribute, addAttributes, addDocument, addExtension, addGroup, addImplementor, addKeyword, addNoteTextStore, addNoteTextStore, addObjectProperty, addObjectProperty, addPermissions, addProcessorInterface, addPrompt, addPropertySet, addRemark, addResponsibleParty, addToList, addTransactionListener, addUsedByPrototype, checkin, checkout, checkPulse, clearInformationService, commit, copyTo, countAssociatedObjects, delete, deleteAttribute, deleteAttributes, deleteRootObject, destroy, fromByteArray, getAccessControls, getAttribute, getAttributes, getAuthorizationUtil, getContainer, getCreateDate, getCreatedBy, getDefaultLocalizableProperties, getDescription, getDocuments, getEntityKey, getEntityURL, getExtensions, getGroups, getGUID, getIdentifier, getIdentities, getImplementors, getInformationService, getKeywords, getLockedBy, getModifiedBy, getModifyDate, getNoteTextStore, getNoteTextStores, getNoteTextStoresByRole, getObjectProperties, getObjectURI, getParent, getParentPath, getParents, getPath, getPaths, getPathUrl, getPathUrl, getPermission, getPermissions, getPermissions, getPreviousVersionNames, getPrimaryPropertyGroup, getProcessorInterface, getPrompt, getPrompts, getPropertyBag, getPropertySets, getRemarksList, getReposId, getRepository, getRepositoryEntity, getRepositoryName, getReposKey, getResponsibleParties, getState, getTrackingId, getTreeRefresh, getTypeDescriptor, getUsageVersion, getUsedByPrototypes, getUsingPrototype, getVersion, hashCode, isAuthorized, isCompatible, isConnectionException, isDeleted, isDestroyed, isLoggingEnabled, isObjectAlive, isReadCompatible, logFormat, logFormat, logFormat, logFormat, logMessage, logMessage, logThrowable, mapNameToFilesystem, mapUrlToFilesystem, moveTo, newServiceObject, notifyTransactionListeners, refresh, removeAccessControl, removeDocument, removeExtension, removeFromList, removeGroup, removeImplementor, removeKeyword, removeNoteTextStore, removeObjectProperty, removePermissions, removePrompt, removePropertySet, removeResponsibleParty, removeResponsiblePartyByIdentity, removeUsedByPrototype, reset, rollback, setAttribute, setAttributes, setCompatibility, setDefaultLocalizableProperties, setDeleted, setDescription, setDocuments, setExtensions, setGroups, setGUID, setKeywords, setName, setNoteTextStores, setObjectProperties, setPermission, setPrimaryPropertyGroup, setPrompt, setPrompts, setRemarksList, setRepository, setTreeRefresh, setUsingPrototype, startTransaction, toByteArray, toString, transactionEvent, uncheckout, update, updateFromBag, validateNameAndFolder, validateNameAndFolder, version`

  ### Methods inherited from class java.rmi.server.UnicastRemoteObject

  `clone, exportObject, exportObject, exportObject, exportObject, exportObject, unexportObject`

  ### Methods inherited from class java.rmi.server.RemoteServer

  `getClientHost, getLog, setLog`

  ### Methods inherited from class java.rmi.server.RemoteObject

  `equals, getRef, toStub`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.sas.services.information.metadata.MetadataInterface

  `add, addAccessControl, addAttribute, addAttributes, addDocument, addExtension, addGroup, addImplementor, addKeyword, addNoteTextStore, addNoteTextStore, addObjectProperty, addObjectProperty, addPermissions, addPrompt, addPropertySet, addRemark, addResponsibleParty, addTransactionListener, addUsedByPrototype, checkin, checkout, commit, copyTo, countAssociatedObjects, delete, deleteAttribute, deleteAttributes, destroy, getAccessControls, getAttribute, getAttributes, getAuthorizationUtil, getCreateDate, getCreatedBy, getDescription, getDocuments, getEntityKey, getEntityURL, getExtensions, getGroups, getGUID, getIdentities, getImplementors, getKeywords, getLockedBy, getModifiedBy, getModifyDate, getNoteTextStore, getNoteTextStores, getNoteTextStoresByRole, getObjectProperties, getParent, getParentPath, getParents, getPath, getPaths, getPermission, getPermissions, getPermissions, getPreviousVersionNames, getPrimaryPropertyGroup, getPrompt, getPrompts, getPropertyBag, getPropertySets, getRemarksList, getReposId, getRepository, getRepositoryEntity, getRepositoryName, getReposKey, getResponsibleParties, getState, getTrackingId, getUsageVersion, getUsedByPrototypes, getUsingPrototype, getVersion, isAuthorized, isCompatible, isDeleted, isDestroyed, isObjectAlive, isReadCompatible, mapNameToFilesystem, mapUrlToFilesystem, moveTo, newServiceObject, refresh, removeAccessControl, removeDocument, removeExtension, removeGroup, removeImplementor, removeKeyword, removeNoteTextStore, removeObjectProperty, removePermissions, removePrompt, removePropertySet, removeResponsibleParty, removeResponsiblePartyByIdentity, removeUsedByPrototype, rollback, setAttribute, setAttributes, setDeleted, setDescription, setDocuments, setExtensions, setGroups, setGUID, setKeywords, setName, setNoteTextStores, setObjectProperties, setPermission, setPrimaryPropertyGroup, setPrompt, setPrompts, setRemarksList, setRepository, setUsingPrototype, startTransaction, toByteArray, transactionEvent, uncheckout, update, updateFromBag, version`

  ### Methods inherited from interface com.sas.services.information.publicobject.PublicObjectInterface

  `addProcessorInterface, getContainer, getIdentifier, getObjectURI, getPathUrl, getProcessorInterface, getTypeDescriptor`

- ## Field Details

  - ### GRIDAPP_REQUIRED_RESOURCES_PROPERTY_NAME

    public static final String GRIDAPP_REQUIRED_RESOURCES_PROPERTY_NAME
    See Also:
      - Constant Field Values

  - ### GRIDAPP_GRID_OPTIONS_PROPERTY_NAME

    public static final String GRIDAPP_GRID_OPTIONS_PROPERTY_NAME
    See Also:
      - Constant Field Values

  - ### GRIDAPP_SAS_OPTIONS_PROPERTY_NAME

    public static final String GRIDAPP_SAS_OPTIONS_PROPERTY_NAME
    See Also:
      - Constant Field Values

  - ### GRIDAPP_USER_MAPPING_NAME

    public static final String GRIDAPP_USER_MAPPING_NAME
    See Also:
      - Constant Field Values

  - ### GRIDGOSPUBLICTYPE

    public static final String GRIDGOSPUBLICTYPE
    See Also:
      - Constant Field Values

  - ### OLDEST_VERSION

    public static final com.sas.util.UsageVersion OLDEST_VERSION

  - ### CURRENT_VERSION

    public static final com.sas.util.UsageVersion CURRENT_VERSION

- ## Constructor Details

  - ### OMRGridApplication

    public OMRGridApplication() throws RemoteException
    Throws:
      `RemoteException`

  - ### OMRGridApplication

    public OMRGridApplication(com.sas.metadata.remote.Transformation o) throws RemoteException
    Throws:
      `RemoteException`

  - ### OMRGridApplication

    public OMRGridApplication(com.sas.metadata.remote.impl.TransformationImpl o) throws RemoteException
    Throws:
      `RemoteException`

  - ### OMRGridApplication

    public OMRGridApplication(com.sas.metadata.remote.impl.TransformationImpl_Stub o) throws RemoteException
    Throws:
      `RemoteException`

  - ### OMRGridApplication

    protected OMRGridApplication(com.sas.metadata.remote.Transformation o, Class theClass) throws RemoteException
    Throws:
      `RemoteException`

  - ### OMRGridApplication

    protected OMRGridApplication(com.sas.metadata.remote.impl.TransformationImpl o, Class theClass) throws RemoteException
    Throws:
      `RemoteException`

  - ### OMRGridApplication

    protected OMRGridApplication(com.sas.metadata.remote.impl.TransformationImpl_Stub o, Class theClass) throws RemoteException
    Throws:
      `RemoteException`

  - ### OMRGridApplication

    protected OMRGridApplication(Class theClass) throws RemoteException
    Throws:
      `RemoteException`

  - ### OMRGridApplication

    public OMRGridApplication(RepositoryInterface repos, String name, FolderInterface parent) throws RemoteException
    Throws:
      `RemoteException`

  - ### OMRGridApplication

    protected OMRGridApplication(RepositoryInterface repos, String name, FolderInterface parent, Class theClass) throws RemoteException
    Throws:
      `RemoteException`

- ## Method Details

  - ### getType

    public String getType() throws RemoteException
    TODO: This needs to be updated to use a constant from SmartTypes. The new type name needs to be added to that class.
    Specified by:
      `getType` in interface `MetadataInterface`
    Overrides:
      `getType` in class `Metadata`
    Returns:
      A type string for the object.
    Throws:
      `RemoteException` - in the event of remote object failure

  - ### getName

    public String getName()
    Description copied from class: `Metadata`
    Gets the name of the object.

    Specified by:
      `getName` in interface `PublicObjectInterface`
    Overrides:
      `getName` in class `Metadata`
    Returns:
      The name String for the object.

  - ### getRequiredResources

    public List<String> getRequiredResources() throws ServiceException, RemoteException
    Specified by:
      `getRequiredResources` in interface `GridApplicationInterface`
    Throws:
      `ServiceException`
      `RemoteException`

  - ### setRequiredResources

    public void setRequiredResources(List<String> resources) throws ServiceException, RemoteException
    Specified by:
      `setRequiredResources` in interface `GridApplicationInterface`
    Throws:
      `ServiceException`
      `RemoteException`

  - ### getGridOptions

    public List<String> getGridOptions() throws ServiceException, RemoteException
    Specified by:
      `getGridOptions` in interface `GridApplicationInterface`
    Throws:
      `ServiceException`
      `RemoteException`

  - ### setGridOptions

    public void setGridOptions(List<String> gridOptions) throws ServiceException, RemoteException
    Specified by:
      `setGridOptions` in interface `GridApplicationInterface`
    Throws:
      `ServiceException`
      `RemoteException`

  - ### getSASOptions

    public List<String> getSASOptions() throws ServiceException, RemoteException
    Specified by:
      `getSASOptions` in interface `GridApplicationInterface`
    Throws:
      `ServiceException`
      `RemoteException`

  - ### setSASOptions

    public void setSASOptions(List<String> SASOptions) throws ServiceException, RemoteException
    Specified by:
      `setSASOptions` in interface `GridApplicationInterface`
    Throws:
      `ServiceException`
      `RemoteException`

  - ### getUserMappings

    public List<String> getUserMappings() throws ServiceException, RemoteException
    Specified by:
      `getUserMappings` in interface `GridApplicationInterface`
    Throws:
      `ServiceException`
      `RemoteException`

  - ### setUserMappings

    public void setUserMappings(List<String> users) throws ServiceException, RemoteException
    Specified by:
      `setUserMappings` in interface `GridApplicationInterface`
    Throws:
      `ServiceException`
      `RemoteException`

  - ### validateGridOptionsSet

    public void validateGridOptionsSet() throws RemoteException, com.sas.metadata.remote.MdException
    Throws:
      `RemoteException`
      `com.sas.metadata.remote.MdException`

  - ### getGOSRelatedServers

    public List<com.sas.metadata.remote.ServerComponent> getGOSRelatedServers() throws RemoteException, com.sas.metadata.remote.MdException
    Specified by:
      `getGOSRelatedServers` in interface `GridApplicationInterface`
    Throws:
      `RemoteException`
      `com.sas.metadata.remote.MdException`

  - ### getGOSRelatedObjects

    public List<HashMap<String,String>> getGOSRelatedObjects() throws RemoteException, com.sas.metadata.remote.MdException, ServiceException
    Specified by:
      `getGOSRelatedObjects` in interface `GridApplicationInterface`
    Throws:
      `RemoteException`
      `com.sas.metadata.remote.MdException`
      `ServiceException`